Subject: Re: bug#16909: 24.3; scrolling *Completions* window with tab sometimes chooses a wrong window

From: Lukasz Pawelczyk <[email-masked]>
Date: Fri, 28 Feb 2014 19:28:12 +0100

On 28 Feb 2014, at 19:24, martin rudalics <[email-masked]> wrote:

> > The workaround is shown in the emacs.el file, force the other window
> > scrolling to a *Completions* buffer. But this effectively breaks
> > other-window scrolling for anything else.
> 
> You mean to set `other-window-for-scrolling' to the *Completions*
> buffer?  I think that's what the completions code should do.  But why do
> you say that it "effectively breaks other-window scrolling for anything
> else"?  IIUC a similar approach is used by `save-some-buffers' and seems
> to work without problems.

I’m saying that the Tab should be able to scroll the *Completions* buffer automatically without setting anything.
And in the use case I showed above it doesn’t.

I just posted this setq line as a workaround. And why does it break? Because if you set it then C-M-v will always try to scroll *Completions* and not regular other-window buffer which is useful sometimes (e.g. while using help, an approach mentioned even in tutorial).

Just forget about the workaround I mentioned. The use-case shows a bug. That’s all.

-- 
Regards,
Havner